Skip to main content
GET
/
api
/
v0
/
repositories
/
{repo_id}
/
leaderboard
/
teams
Get the leaderboard for the competition (per team)
curl --request GET \
  --url https://api.example.com/api/v0/repositories/{repo_id}/leaderboard/teams
{
  "ranking": [
    {
      "position": 123,
      "team": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "members": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "username": "<string>",
            "avatar": "<string>",
            "createdAt": "2023-11-07T05:31:56Z"
          }
        ],
        "name": "<string>",
        "handle": "<string>",
        "badges": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "image": "<string>",
            "description": "<string>"
          }
        ]
      },
      "criticalFindings": 123,
      "highFindings": 123,
      "mediumFindings": 123,
      "lowFindings": 123,
      "informationalFindings": 123,
      "gasOptimizationFindings": 123,
      "reward": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

repo_id
string<uuid>
required

Response

Repository leaderboard

Competition specific leaderboard.

ranking
object[]
required

Ranking of each team, ordered by reward, then findings found.